Draft Hinweis

From FreeCAD Documentation
This page is a translated version of the page Draft Label and the translation is 95% complete.
Outdated translations are marked like this.

Draft Hinweis

Menüeintrag
Anmerkung → Bezeichnung
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
D L
Eingeführt in Version
0.17
Siehe auch
Draft Text, Draft Textform

Beschreibung

Der Befehl Draft Hinweis erstellt einen mehrzeiligen Text an einer zweiteiligen Hinweislinie mit Pfeilspitze.

Wenn ein Objekt oder ein Teilelement (Fläche, Kante oder Knotenpunkt) ausgewählt ist, wenn der Befehl aufgerufen wird, kann der Text dazu verwendet werden ein oder zwei Attribute des ausgewählten Elements darzustellen, einschließlich Position, Länge, Flächeninhalt, Volumen und Material. Der Text ist dann mit den Attributen verknüpft und wird aktualisiert, wenn sie ihre Werte ändern.

Um stattdessen ein Textelement ohne Hinweispfeil zu erstellen, verwendet man den Befehl Draft Text.

Verschiedene Hinweise mit unterschiedlichen Ausrichtungen, Hinweispfeilen und Informationen

Anwendung

Siehe auch: Draft Ablage, Draft Einrasten und Draft Beschränken.

  1. Wahlweise ein Objekt oder ein Unterelement (Knotenpunkt, Kante oder Fläche) auswählen, dessen Attribute man anzeigen möchte.
  2. Es gibt mehrere Möglichkeiten, den Befehl aufzurufen:
    • Die Schaltfläche Bezeichnung drücken.
    • Den Menüeintrag Anmerkung → Bezeichnung auswählen.
    • Das Tastaturkürzel D dann L.
  3. Der Aufgaben-Bereich Beschriftung wird geöffnet. Siehe Optionen für weitere Informationen.
  4. Wenn ein Element ausgewählt wurde: Einen Eintrag aus dem Ausklappmenü Labeltyp auswählen. Siehe Hinweisarten weiter unten.
  5. Den ersten Punkt in der 3D-Ansicht auswählen oder Koordinaten eingeben und die Schaltfläche Punkt eingeben drücken. Dieser Punkt bestimmt das Ziel (Pfeilspitze). Es kann irgendwo liegen und muss sich nicht auf einem Element befinden.
  6. Den zweiten Punkt in der 3D-Ansicht auswählen oder Koordinaten eingeben und die Schaltfläche Punkt eingeben drücken. Dieser Punkt bestimmt den Beginn des horizontalen bzw. vertikalen Abschnitts der Hinweislinie.
  7. Den dritten Punkt in der 3D-Ansicht auswählen oder Koordinaten eingeben und die Schaltfläche Punkt eingeben drücken. Dieser Punkt bestimmt den Basispunkt des Texts.

Optionen

Die im Aufgaben-Bereich vorhandenen Einzelzeichen-Tastaturkürzel können geändert werden. Siehe Draft Einstellungen. Die hier genannten Tastaturkürzel sind die voreingestellten Tastaturkürzel.

  • Zur manuellen Eingabe der Koordinaten, werden die X-, Y- und Z-Komponenten einzeln eingegeben und jeweils mit Enter bestätigt. Es kann auch die Schaltfläche Punkt eingeben gedrückt werden, wenn die gewünschten Werte vorhanden sind. Es ist ratsam den Mauszeiger aus der 3D-Ansicht heraus zu bewegen, bevor Koordinaten eingegeben werden.
  • R drücken oder die Checkbox Relativ aktivieren, um den Relativmodus ein- bzw. auszuschalten. Bei aktiviertem Relativmodus haben Koordinaten einen Bezug zum letzten Punkt, wenn vorhanden, andernfalls beziehen sie sich auf den Ursprung des Koordinatensystems.
  • G drücken oder die Checkbox Global aktivieren, um den Globalmodus ein- bzw. auszuschalten. Bei aktiviertem Globalmodus haben Koordinaten einen Bezug zum globalen Koordinatensystem, andernfalls beziehen sich Koordinaten auf das Koordinatensystem der Arbeitsebene. eingeführt mit Version 0.20
  • S drücken, um Draft Fangen ein- oder auszuschalten.
  • Esc oder die Schaltfläche Schließen drücken, um den Befehl abzubrechen.

Hinweisarten

Die folgenden Arten von Hinweisen stehen zur Verfügung:

  • Benutzerdefiniert (Custom): zeigt den Inhalt der Daten-EigenschaftCustom Text an.
  • Name: zeigt den internen Namen des Zielobjekts an; der interne Name wird dem Objekt bei seiner Erstellung zugewiesen und ist während der gesamten Existenz des Objekts unveränderlich.
  • Benennung (Label): zeigt die Benennung des Zielobjekts an; die Benennung eines Objekts kann jederzeit vom Benutzer geändert werden.
  • Position: zeigt die Koordinaten des Basispunktes des Zielobjekts oder des Zielknotenpunktes an.
  • Length: zeigt die Länge des Zielobjekts oder des Unterelements an.
  • Area: zeigt den Flächeninhalt des Zielobjekts oder des Unterelements an.
  • Volume: zeigt das Volumen des Zielobjekts an.
  • Kennzeichen (Tag): zeigt das Attribut Tag des Zielobjekts an. Objekte, die mit dem Arbeitsbereich Arch erstellt wurden, können dieses Attribut besitzen.
  • Material: zeigt die Benennung des Materials des Zielobjekts an.
  • Benennung + Position
  • Benennung + Länge
  • Benennung + Flächeninhalt
  • Benennung + Volumen
  • Benennung + Material

Hinweise

  • Die Richtung des zweiten Abschnitts der Hinweislinie bestimmt die Ausrichtung des Textes. Wenn der Abschnitt horizontal ist und nach rechts zeigt, wird der Text links (-bündig) ausgerichtet und umgekehrt. Wenn der zweite Abschnitt vertikal nach oben zeigt, wird der Text links ausgerichtet. Zeigt er vertikal nach unten, wird der Text rechts ausgerichtet.
  • Draft-Notizen, die mit FreeCAD Version 0.21 erstellt oder gespeichert werden, sind nicht abwärtskompatibel.

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein Draft-Hinweis (Label-Objekt) ist von einem App FeaturePython-Objekt abgeleitet und erbt alle seine Eigenschaften. Die folgenden sind, wenn nicht anders angegeben, zusätzliche Eigenschaften:

Daten

Label

  • Daten-EigenschaftCustom Text (StringList): bestimmt den Inhalt des Textes, wenn die Daten-EigenschaftLabel Type auf Custom gesetzt ist. Jedes Element der Liste stellt eine neue Textzeile dar.
  • Daten-EigenschaftLabel Type (Enumeration): bestimmt die Art der von der Notiz dargestellten Information. Siehe Notizarten.
  • Daten-EigenschaftPlacement (Placement): bestimmt die Position des Textes in der 3D-Ansicht und, solange die Daten-EigenschaftStraight Direction nicht auf Custom gesetzt ist, auch die des ersten Abschnitts der Hinweislinie, an dem der Text befestigt ist. Siehe Positionierung.
  • Daten-EigenschaftText (StringList): (read-only) bestimmt den Inhalt des Textes, der aktuell dargestellt wird. Jedes Element der Liste stellt eine neue Textzeile dar.

Leader

  • Daten-EigenschaftPoints (VectorList): Bestimmt die Punkte der Hinweislinie.
  • Daten-EigenschaftStraight Direction (Enumeration): Bestimmt die Richtung des ersten Abschnitts der HInweislinie: Custom, Horizontal oder Vertikal.
  • Daten-EigenschaftStraight Distance (Distance): Bestimmt die Länge des ersten Abschnitts der Hinweislinie. Wird nur verwendet, wenn die Daten-EigenschaftStraight Direction auf Horizontal oder Vertical gesetzt wurde. Wenn der Abstand positiv ist, startet die Hinweislinie auf der rechten Seite des Textes und der Text wird nach rechts ausgerichtet. Andernfalls startet die Hinweislinie von der linken Seite des Textes und der Text wird nach links ausgerichtet

Target

  • Daten-EigenschaftTarget (LinkSub) (Ziel): Gibt das Objekt und wahlweise das Unterelement an, mit dem der Hinweis verknüpft ist .
  • Daten-EigenschaftTarget Point (Vector) (Zielpunkt): Gibt die Position der Spitze der Hinweislinie an, d.h. wo der Pfeil befestigt wird.

Ansicht

Annotation

  • Ansicht-EigenschaftAnnotation Style (Enumeration): Gibt den Beschriftungsstil an, der für den Hinweis verwewendet wird. Siehe Draft BeschriftungsstilEditor.
  • Ansicht-EigenschaftScale Multiplier (Float): Gibt den allgemeinen Skalierungsfaktor an, der für den Hinweis verwewendet wird. Siehe

Display Options

  • Ansicht-EigenschaftDisplay Mode (Enumeration): Gibt an, wie der Text angezeigt wird. Ist es World, wird der Text auf einer Ebene angezeigt, die durch die Daten-EigenschaftPlacement des Hinweises festgelegt wird. Ist es Screen, wird der Text immer in Richtung Bildschirm angezeigt. Dies ist eine übernommene Eigenschaft. Die genannten Optionen sind die umbenannten Optionen (eingeführt mit Version 0.21).

Graphics

  • Ansicht-EigenschaftArrow Size (Length): Legt die Größe des Symbols fest, das der Spitze der Hinweislinie angezeigt wird.
  • Ansicht-EigenschaftArrow Type (Enumeration): Legt die Art des Symbols fest, das der Spitze der Hinweislinie angezeigt wird und die Werte Dot (Punkt), Circle (Ring), Arrow (Pfeil), Tick (Schrägstrich) oder Tick-2 (Schrägstrich-2) annehmen kann.
  • Ansicht-EigenschaftFrame (Enumeration): Legt fest, welche Art Rahmen um den Text herum gezeichnet wird. Die Optionen sind zurzeit None (keiner) oder Rectangle (Rechteck).
  • Ansicht-EigenschaftLine (Bool): Legt fest, ob die Hinweislinie angezeigt wird. Auf false gesetzt, werden nur der Pfeil und der Text angezeigt.
  • Ansicht-EigenschaftLine Color (Color): Legt die Farbe von Hinweislinie und Pfeil fest. Diese wird auch für den Rahmen verwendet (eingeführt mit Version 0.20).
  • Ansicht-EigenschaftLine Width (Float): Legt die Breite der Hinweisliie fest. Diese wird auch für den Rahmen verwendet (eingeführt mit Version 0.20).

Text

  • Ansicht-EigenschaftFont Name (Font): Bestimmt die Schriftart, die zum Zeichnen des Textes verwendet wird. Dies kann ein Schriftname sein, wie Arial, eine Stilbezeichnung, wie sans, serif oder mono, eine Familie, wie Arial,Helvetica,sans, oder ein Name mit Stilangabe, wie Arial:Bold. Wird die angegebene Schriftart im System nicht gefunden, wird stattdessen eine Standardschrift verwendet. eingeführt mit Version 0.21
  • Ansicht-EigenschaftFont Size (Length): Bestimmt die Größe der Buchstaben. Der Text kann in der 3D-Ansicht unsichtbar sein, wenn dieser Wert sehr klein ist. eingeführt mit Version 0.21
  • Ansicht-EigenschaftJustification (Enumeration): Bestimmt die horizontale Ausrichtung des Textes: Left (links), Center (Mitte) oder Right (rechts). Wird nur verwendet, wenn Daten-EigenschaftStraight Direction auf Custom gesetzt ist. Andernfalls basiert die horizontale Ausrichtung auf dem Vorzeichen (positiv oder negativ) der Daten-EigenschaftStraight Distance.
  • Ansicht-EigenschaftLine Spacing (Float): Bestimmt den Faktor, der für den Standardzeilenhöhe des Textes verwendet wird.
  • Ansicht-EigenschaftMax Chars (Integer): Bestimmt die maximale Anzahl von Schriftzeichen in jeder Zeile des Textes.
  • Ansicht-EigenschaftText Alignment (Enumeration): Bestimmt die vertikale Ausrichtung des Textes: Top (oben), Middle (Mitte) oder Bottom (unten).
  • Ansicht-EigenschaftText Color (Color): Bestimmt die Farbe des Textes.

Skripten

Siehe auch: Autogenerierte API-Dokumentation und FreeCAD Grundlagen Skripten.

Das Werkzeug Draft-Hinweis kann in Makros und aus der Python-Konsole heraus mit der folgenden Funktion verwendet werden:

label = make_label(target_point=App.Vector(0, 0, 0),
                   placement=App.Vector(30, 30, 0),
                   target_object=None, subelements=None,
                   label_type="Custom", custom_text="Label",
                   direction="Horizontal", distance=-10,
                   points=None)

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle = Draft.make_rectangle(4000, 1000)
doc.recompute()

p1 = App.Vector(-200, 1000, 0)
place1 = App.Placement(App.Vector(-1000, 1300, 0), App.Rotation())

label1 = Draft.make_label(p1, place1, target_object=rectangle, distance=500, label_type="Label")
label1.ViewObject.FontSize= 200

p2 = App.Vector(-200, 0, 0)
place2 = App.Placement(App.Vector(-1000, -300, 0), App.Rotation())

label2 = Draft.make_label(p2, place2, target_object=rectangle, distance=500, label_type="Custom",
                          custom_text="Beware of the sharp edges")
label2.ViewObject.FontSize= 200

p3 = App.Vector(1000, 1200, 0)
place3 = App.Placement(App.Vector(2000, 1800, 0), App.Rotation())

label3 = Draft.make_label(p3, place3, target_object=rectangle, distance=-500, label_type="Area")
label3.ViewObject.FontSize= 200

doc.recompute()